Add User To Workspace
Add a user to a workspace with the specified role.
If the user doesn’t exist, a stub user is created with the email. Stub users have external_id=None until they sign up.
Only workspace owners (ADMIN) can add users to a workspace. Role must be a valid workspace role: owner, member, or member_limited.
Authorizations
Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.
Path Parameters
Body
API request schema for adding a user to a workspace. If the email belongs to an unregistered user, a stub user will be created.
Email of the user to add to workspace
Role to assign to the user (must be a workspace role: owner, member, member_limited)
owner, member, member_limited, full_access, editor, commenter, downloader, viewer, no_access On Pro with no open seat, buy one seat (prorated, charged now) before adding; ignored otherwise
Response
Successful Response
API response schema for a workspace user.
User ID
User's first name
User's last name
User's email address
User's workspace role
owner, member, member_limited, full_access, editor, commenter, downloader, viewer, no_access Permission bitmap derived from role
User's avatar URL
External user ID from auth provider (None for stub users)
Count of explicit project permissions in the workspace
Count of accessible projects (MEMBER users only)